Subject: Re: [PATCH] drivers: misc: Remove MISC_DEVICES config option

From: Greg KH <[email-masked]>
Date: Mon, 23 Jan 2012 19:03:35 -0800

On Tue, Jan 24, 2012 at 12:57:36AM -0200, Fabio Estevam wrote:
> Hi Greg,
> 
> On Fri, Jan 6, 2012 at 10:00 AM, Arnd Bergmann <[email-masked]> wrote:
> 
> > I think that is true for the majority of stuff we have under drivers/misc
> > anyway. I had done the same patch that Fabio sent a couple of months ago
> > but then forgot about it, so here is a wholehearted
> >
> > Acked-by: Arnd Bergmann <[email-masked]>
> >
> > for the new patch. It fixes a real problem, and we applied a similar patch
> > in drivers/mfd as 8a0a8e8e already. We probably still want to find a better
> > home for drivers that frequently get selected by other subsystems as you
> > said, but that is an independent issue. I don't see why anyone would
> > need a way to disable all MISC drivers at once, when the only thing that
> > (in theory) connects them is that they are all different from everything
> > else.
> 
> Do you have any objections about this patch?

Yes, I said my problems with it, I don't recall it being resent
afterward, with any changes.

greg k-h